# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.sidewiki
Enum Source.Value

    java.lang.Object
      java.lang.Enum<Source.Value>
          com.google.gdata.data.sidewiki.Source.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Source.Value>

Enclosing class:
  Source

    public static enum Source.Value

extends java.lang.Enum<Source.Value>

Value.

Enum Constant Summary
`BLOG` Blog source.
`SIDEWIKI` Sidewiki source.

Method Summary
`static Source.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Source.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BLOG

    public static final Source.Value BLOG

  Blog source.

### SIDEWIKI

    public static final Source.Value SIDEWIKI

  Sidewiki source.

Method Detail

### values

    public static Source.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Source.Value c : Source.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Source.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null